Bug 1764871 - tortoisehg fails to install in Fedora rawhide (needs mercurial < 5.1)
Summary: tortoisehg fails to install in Fedora rawhide (needs mercurial < 5.1)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tortoisehg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-10-23 23:05 UTC by Miro Hrončok
Modified: 2019-12-02 03:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-02 03:15:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-10-23 23:05:27 UTC
tortoisehg-5.0.2-2.fc31.noarch fails to install in Fedora rawhide:

  nothing provides mercurial < 5.1 needed by tortoisehg-5.0.2-2.fc31.noarch
    (we have mercurial-5.1.2-1.fc32.x86_64)

This is caused by an updated version of mercurial.

Comment 1 Miro Hrončok 2019-11-22 12:49:52 UTC
?

Comment 2 Mads Kiilerich 2019-11-22 13:09:03 UTC
Sorry - I missed this one.

Fixing it to work with 5.1 and Python 2 will be a bit of an intermediate detour.

It would be nice if we could move directly to Mercurial 5.2 with Python 3 support ...

Comment 3 Petr Stodulka 2019-11-22 14:57:11 UTC
In the worst case tuesday's night, for mercurial 5.2. Hopefully this sunday.


Note You need to log in before you can comment on or make changes to this bug.